summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorJoerg Bornkessel <hd_brummy@gentoo.org>2013-01-03 20:30:47 +0000
committerJoerg Bornkessel <hd_brummy@gentoo.org>2013-01-03 20:30:47 +0000
commit8c45bc65296ce501a818b3c02b85d750d381365c (patch)
treee61677c84fcd2a6b1ffd9fd1c2c88f4a8ef700ab /eclass
parentAdd upstream info, fix typo (diff)
downloadhistorical-8c45bc65296ce501a818b3c02b85d750d381365c.tar.gz
historical-8c45bc65296ce501a818b3c02b85d750d381365c.tar.bz2
historical-8c45bc65296ce501a818b3c02b85d750d381365c.zip
fixed mistake for emake:-all emake:-install between old and new plugin makefile structur, vdr-plugin-2.eclass
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/vdr-plugin-2.eclass51
2 files changed, 32 insertions, 25 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index 33818d7b7787..0e8f4921edab 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.592 2013/01/03 19:22:05 alonbl Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.593 2013/01/03 20:30:47 hd_brummy Exp $
+
+ 03 Jan 2013; Joerg Bornkessel <hd_brummy@gentoo.org> vdr-plugin-2.eclass:
+ fixed mistake for emake:-all emake:-install between old and new plugin
+ makefile structur, vdr-plugin-2.eclass
03 Jan 2013; Alon Bar-Lev <alonbl@gentoo.org> ssl-cert.eclass:
Support mandatory enrollment and custom USE flag, bug#319529.
diff --git a/eclass/vdr-plugin-2.eclass b/eclass/vdr-plugin-2.eclass
index adac9cbe0ed9..a818ad8735e0 100644
--- a/eclass/vdr-plugin-2.eclass
+++ b/eclass/vdr-plugin-2.eclass
@@ -1,6 +1,6 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin-2.eclass,v 1.17 2012/12/31 19:49:41 hd_brummy Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/vdr-plugin-2.eclass,v 1.18 2013/01/03 20:30:47 hd_brummy Exp $
# @ECLASS: vdr-plugin-2.eclass
# @MAINTAINER:
@@ -543,26 +543,14 @@ vdr-plugin-2_src_compile() {
fi
cd "${S}"
- local SOFILE_STRING=$(grep SOFILE Makefile)
- if [[ -n ${SOFILE_STRING} ]]; then
- dev_check "compiling with new Makefile handling"
- BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-install }}
- emake ${BUILD_PARAMS} \
- ${BUILD_TARGETS} \
- LOCDIR="${TMP_LOCALE_DIR}" \
- LIBDIR="${S}" \
- TMPDIR="${T}" \
- || die "emake failed"
- else
- dev_check "compiling with old Makefile handling"
BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-all }}
emake ${BUILD_PARAMS} \
${BUILD_TARGETS} \
LOCALEDIR="${TMP_LOCALE_DIR}" \
+ LOCDIR="${TMP_LOCALE_DIR}" \
LIBDIR="${S}" \
TMPDIR="${T}" \
|| die "emake failed"
- fi
;;
esac
@@ -603,9 +591,33 @@ vdr-plugin-2_src_install() {
cd "${S}"
+ local SOFILE_STRING=$(grep SOFILE Makefile)
+ if [[ -n ${SOFILE_STRING} ]]; then
+ dev_check "installing with new Makefile handling"
+ BUILD_TARGETS=${BUILD_TARGETS:-${VDRPLUGIN_MAKE_TARGET:-install }}
+ einstall ${BUILD_PARAMS} \
+ ${BUILD_TARGETS} \
+ LOCDIR="${TMP_LOCALE_DIR}" \
+ LIBDIR="${S}" \
+ TMPDIR="${T}" \
+ DESTDIR="${D}" \
+ || die "einstall (makefile target) failed"
+ fi
+
insinto "${VDR_PLUGIN_DIR}"
doins libvdr-*.so.*
+ if [[ -d ${TMP_LOCALE_DIR} ]]; then
+ einfo "Installing locales"
+ cd "${TMP_LOCALE_DIR}"
+
+ local linguas
+ for linguas in ${LINGUAS[*]}; do
+ insinto "${LOCDIR}"
+ cp -r --parents ${linguas}* ${D}/${LOCDIR}
+ done
+ fi
+
# create list of all created plugin libs
vdr_plugin_list=""
local p_name
@@ -618,15 +630,6 @@ vdr-plugin-2_src_install() {
create_header_checksum_file ${vdr_plugin_list}
create_plugindb_file ${vdr_plugin_list}
- if [[ -d ${TMP_LOCALE_DIR} ]]; then
- einfo "Installing locales"
- cd "${TMP_LOCALE_DIR}"
- local linguas
- for linguas in ${LINGUAS[*]}; do
- insinto "${LOCDIR}"
- cp -r --parents ${linguas}* ${D}/${LOCDIR}
- done
- fi
cd "${S}"
local docfile